/**
 * 成就导航业务模型
 */
DGC.Module.Achievement = $.inherits(DGC.Module, {

    baseId : 'achievement-tab',

    /**
     * 默认加载视图
     * @type String
     */
    deafultView: 'UserAchieve',

    /**
     * 判断是否为根页面
     */
    isRootPage: function(){
        return  this.currentView.name == this.deafultView;
    },

    onInitialize : function(){
        var me = this;
        this.autoRegsiterEvents(DGC.Module.Achievement.EventProxy);
        this.autoRegsiterEvents(DGC.Module.PromotionBanner.EventProxy);
    }

});

/**
 * 成就导航转发对象
 */
DGC.Module.Achievement.EventProxy = {
    "achi" : {
        //游戏成就列表
        "playerachieve":{
            viewName: "UserAchieve",
            fnName:"renderAchieveList"
        }
    }
}
