/**
 * 游戏导航Tab
 */
DGC.Module.Game = $.inherits(DGC.Module, {

    baseId : 'gameTab',

    deafultView: 'LocalGames',

    /**
     * 判断是否为根页面
     */
    isRootPage: function(){
        return  this.currentView.name == this.deafultView;
    },

    onInitialize : function(){
        //定义自定义事件
        this.autoRegsiterEvents(DGC.Module.Game.EventProxy);
        this.autoRegsiterEvents(DGC.Module.PromotionBanner.EventProxy);
    }


});

/**
 * 事件代理转发对象
 */
DGC.Module.Game.EventProxy = {
    "game":{
        "localgame":{
            viewName : "LocalGames", //在指定视图时触发
            fnName 	 : "findLocalGame" //调用当前视图的渲染方法
        },
        "localgamestate":[{
            viewName : "LocalGames",
            fnName 	 : "findLocalGameState"
        },{
            viewName : "GameInfo",
            fnName   : "showGameStatus"
        }]
    }
}

DGC.Module.Game.ATTRS = {

    /**
     * 本地游戏安装状态
     */
    GAME_STATUS:{
        DOWNLOAD:  0, //未下载
        SETUP:     1, //安装(已下载)
        UPDATE:    2, //存在新版本(已安装)
        INSTALLED: 3  //已安装
    }
}
