/**
 * 成就导航业务模型
 */
DGC.Module.PromotionBanner = $.inherits(DGC.Module, {

    baseId : 'PromotionBanner-tab',

    /**
     * 默认加载视图
     * @type String
     */
    deafultView: '',

    /**
     * 判断是否为根页面
     */
    isRootPage: function(){
        return  false;
    },

    onInitialize : function(){
        //this.autoRegsiterEvents(DGC.Module.PromotionBanner.EventProxy);
    }

});

/**
 * 成就导航转发对象
 */
DGC.Module.PromotionBanner.EventProxy = {
    "prombanner" :{
        "promotionbanner":[
            {
                viewName: "UserAchieve",//成就
                fnName:"loadAds"
            },
            {
                viewName: "Dashboard",//排行模式列表
                fnName:"loadAds"
            },
            {
                viewName: "BoardCategory",//单个排行模式
                fnName:"loadAds"
            },
            {
                viewName: "LocalGames",//游戏
                fnName:"loadAds"
            },
            {
                viewName: "PlayedGames",//玩过的游戏
                fnName:"loadAds"
            }
        ],
        "localgamestate":[
            {
                viewName: "UserAchieve",//成就
                fnName:"showGameStatus"
            },
            {
                viewName: "Dashboard",//排行模式列表
                fnName:"showGameStatus"
            },
            {
                viewName: "BoardCategory",//单个排行模式
                fnName:"showGameStatus"
            },
            {
                viewName: "LocalGames",//游戏
                fnName:"showGameStatus"
            },
            {
                viewName: "PlayedGames",//玩过的游戏
                fnName:"showGameStatus"
            }
        ]
    }
}
