/**
 * 体验反馈
 */
DGC.View.FeedBack =  $.inherits(DGC.View, {

    baseId: 'feed-back-view',

    title: 'A_TITLE_FEED_BACK',

    renderTpl:'1.2.0/js/template/feedback.html',

    /**
     * 视图初始化函数
     */
    viewReady: function(){
        $("#feed-select").bind('change',function(){
            $(".select-text").html($(this).find("option:selected").text());
        });

        $("#feed-back-form").bind('submit', { context: this }, function(event){
            var context = event.data.context,
                feedselect = $("#feed-select").val(),
                feedarea = $("#feedarea").val(),
                email = $("#email").val();

            //反馈内容不为空
            if($.isEmpty(feedarea)){
                DGC.ActionUtil.showTipMsg(resName.TIP_FEED_BACK_AREA);
                return false;
            }

            //提交给feed处理
            context.action.model['me'].queryFeedBack(feedselect, feedarea, email);

            return false;
        });

        //记录页面访问次数
        DGC.ActionUtil.recordPageCount(DGC.Event.PageId.SKYNET_PAGE_ME_SETTINGS_FEEDBACK);
    }

});
