/**
 * 充值/支付帮助窗口
 */
DGC.Dialog.PayHelpDialog =  $.inherits(DGC.Dialog, {

    baseId: 'payhelp-dialog',

    renderTpl:'1.2.0/js/template/dialog/payhelpdialog.html',

    payWay: undefined,

    viewReady:function(){
        this.viewTpl = {
            CONTENT: "#help-content-tpl"
        }

        this.contentCfg = {
            /*移动*/
            v3:{
                desc: resName.TEXT_PAY_HELP_DIALOG_10086_DESC,
                way: resName.TEXT_PAY_HELP_DIALOG_10086_USE_WAY,
                tip: resName.TEXT_PAY_HELP_DIALOG_10086_TIP
            },
            /*联通*/
            v4:{
                desc: resName.TEXT_PAY_HELP_DIALOG_10010_DESC,
                way: resName.TEXT_PAY_HELP_DIALOG_10010_USE_WAY,
                tip: resName.TEXT_PAY_HELP_DIALOG_10010_TIP
            },
            /*电信*/
            v5:{
                desc: resName.TEXT_PAY_HELP_DIALOG_10000_DESC,
                way: resName.TEXT_PAY_HELP_DIALOG_10000_USE_WAY,
                tip: resName.TEXT_PAY_HELP_DIALOG_10000_TIP
            },
            /*支付宝*/
            v6:{
                desc: resName.TEXT_PAY_HELP_DIALOG_ALIPAY_DESC,
                way: resName.TEXT_PAY_HELP_DIALOG_ALIPAY_USE_WAY,
                tip: resName.TEXT_PAY_HELP_DIALOG_ALIPAY_TIP
            },
            /*机锋*/
            v20:{
                desc: resName.TEXT_PAY_HELP_DIALOG_GFAN_DESC,
                way: resName.TEXT_PAY_HELP_DIALOG_GFAN_USE_WAY,
                tip: resName.TEXT_PAY_HELP_DIALOG_GFAN_TIP
            },
            /*盛付通*/
            v21:{
                desc: resName.TEXT_PAY_HELP_DIALOG_SHENGPAY_DESC,
                way: resName.TEXT_PAY_HELP_DIALOG_SHENGPAY_USE_WAY,
                tip: resName.TEXT_PAY_HELP_DIALOG_SHENGPAY_TIP
            }
        }

        //设置帮助内容
        this.el.find(".body .content").html(this.renderByTpl(this.viewTpl.CONTENT, this.contentCfg['v' + this.payWay.identifier ] ));

        $("#confirm-btn").bind(DGC.Common.E_TAP_DOWN,function(){$(this).addClass('active')})
            .bind(DGC.Common.E_TAP_UP,function(){$(this).removeClass('active')})
            .bind("tap", { context: this }, function(event){
                var context = event.data.context;
                context.destory();
            }
        );
    }

});