/**
 * 支付结果页面
 */
DGC.View.PayResult =  $.inherits(DGC.View, {

    baseId: 'payresult-view',

    title: 'A_TITLE_PAY_ACCOUNT',

    renderTpl:'1.2.0/js/template/payresult.html',

    /**
     * 支付结果
     */
    result: true,

    /**
     * 支付结果信息
     */
    payInfo: undefined,


    /**
     * 视图初始化函数
     */
    viewReady: function(){
        this.viewTpl = {
            SUCCESS: "#pr-success-tpl",
            FAIL: "#pr-fail-tpl"
        }

        if(this.result){
            //成功渲染结果
            this.el.html(this.renderByTpl(this.viewTpl.SUCCESS,{
                successMsg: $.format(resName.TEXT_PAYRESULT_SUCCESS_ITEMS,['<span class="text">' + this.payInfo.item.product.name + '</span>']),
                amount: this.payInfo.recharge
            }));
        }else{
            //失败渲染结果
            this.el.html(this.renderByTpl(this.viewTpl.FAIL,{
               error: this.payInfo.errorDetail
            }));
        }

        //返回游戏
        $("#pr-return").bind(DGC.Common.E_TAP_DOWN,function(){$(this).addClass('active')})
            .bind(DGC.Common.E_TAP_UP,function(){ $(this).removeClass('active')})
            .bind("tap",function(){
                DGC.ActionUtil.returnToGame();
            });
    }
});
