/**
 * 弹出框
 * 新浪登录
 */
DGC.Dialog.SinaDialog =  $.inherits(DGC.Dialog, {

    baseId: 'sina-dialog',

    renderTpl:'1.2.0/js/template/sinadialog.html',

    relogin: false,

    /**
     * 绑定成功回调
     */
    bindSuccess: $.emtpyFn,

    /**
     * 重验证成功回调
     */
    reloginSuccess: $.emptyFn,
    /**
     * 取消回调
     */
    cancelCallBack: $.emptyFn,

    viewReady:function(){

        //提示信息
        if(this.relogin){
            $(".dialog-msg").html(resName.TEXT_SNS_LOGIN_TIMEOUT);
        }

        //以后再说按钮事件
        this.el.find(".btncx").bind('tap',{context:this}, this.cancelAction);

        /************************新浪登录的业务*******************************************/
        $("#body-login-submit").bind('submit',{context:this},function(event){
            var context = event.data.context;
            var username = $("#username").val();
            var password = $("#password").val();

            //帐号不为空
            if($.isEmpty(username)){
                DGC.ActionUtil.showTipMsg(resName.TEXT_SINA_DIALOG_USERNAME_D);
                return false;
            }

            //密码不为空
            if($.isEmpty(password)){
                DGC.ActionUtil.showTipMsg(resName.TEXT_SINA_DIALOG_PASSWORD_D);
                return false;
            }

            //提交给feed处理
            context.meModel.updateBindSNS(DH.ATTR.BIND_SNS.SINA /*新浪*/ , username, password , context.relogin);

            return false;
        });
    },

    /**
     * 以后再说按钮事件
     */
    cancelAction: function(event){
        var context = event.data.context;
        context.destory();
        context.cancelCallBack.call(this);
    },

    /**
     * 新浪绑定成功
     */
    loginSuccess: function(snsObj){
        var context = this,
            ATTR = DH.ATTR;
        if(this.relogin){
            DGC.ActionUtil.showTipMsg(resName.TIP_AUTHORIZE_SUCCESS, function(){
                context.destory();
                context.reloginSuccess.call(this);
            });
        }else{
            context.meModel.snsSycPlayer(ATTR.SYNC_SNS.SINA, ATTR.SYNC_TYPE.ALL);
        }
    },

    /**
     * 导入同步通知Player
     */
    sycPlayerSuccess: function(result){
        var DAU = DGC.ActionUtil,
            context = this;
        if(result){
            DAU.showTipMsg(resName.TIP_BIND_SUCCESS, function(){
                context.destory();
                context.bindSuccess.call(this);
            });
        }else{
            DGC.ActionUtil.showTipMsg(resName.TIP_SYNCHRONIZED_FAIL, function(){
                context.destory();
                context.bindSuccess.call(this);
            });
        }
    }

});