/**
 * 切换账号-新浪微博登录
 */
DGC.View.SinaLogin =  $.inherits(DGC.View, {

    baseId: 'sina-login-view',

    title: 'A_TITLE_SINA_LOGIN',

    renderTpl:'1.2.0/js/template/sinalogin.html',

    /**
     * 视图初始化函数
     */
    viewReady: function(){
        //触发绑定事件
        var btn = $("#sl-login");
        //样式切换
        btn.bind(DGC.Common.E_TAP_DOWN,function(e){
            $(this).addClass('active');
        });
        btn.bind(DGC.Common.E_TAP_UP,function(e){
            $(this).removeClass('active');
        });
        $("#sina-logo-submit").bind('submit', {context: this}, this.switchSinaAccount);
    },

    /**
     * 登录新浪账号
     */
    switchSinaAccount : function(event){
        var context = event.data.context,
            userName = context.el.find("input[name='username']").val(),
            password = context.el.find("input[name='password']").val(),
            DAU = DGC.ActionUtil;

        //用户名不能为空
        if($.isEmpty(userName)){
            DAU.showTipMsg(resName.TIP_ACCOUNT_NOT_NULL);
            return false;
        }

        //密码不能为空
        if($.isEmpty(password)){
            DAU.showTipMsg(resName.TIP_PASSWORD_NOT_NULL);
            return false;
        }

        context.action.model['me'].snsAccountCheck(1/*新浪*/,userName, password);

        return false;
    }

});
