DGC.Event = {};

/**
 * 乐逗空间对应页面的ID
 * @type
 */
DGC.Event.PageId = {
    SKYNET_PAGE_ACHIEVEMENT : 'SKYNET_PAGE_ACHIEVEMENT', //成就页面
    SKYNET_PAGE_LEADERBOARD_INDEX : 'SKYNET_PAGE_LEADERBOARD_INDEX', //排行榜分类索引页面
    SKYNET_PAGE_LEADERBOARD_FRIENDS : 'SKYNET_PAGE_LEADERBOARD_FRIENDS', //好友排行榜页面
    SKYNET_PAGE_LEADERBOARD_NEARBY : 'SKYNET_PAGE_LEADERBOARD_NEARBY', //区域排行榜页面
    SKYNET_PAGE_LEADERBOARD_GLOBAL : 'SKYNET_PAGE_LEADERBOARD_GLOBAL', //世界排行榜页面
    SKYNET_PAGE_LEADERBOARD_LOCAL: 'SKYNET_PAGE_LEADERBOARD_LOCAL',	//本机排行榜页面
    SKYNET_PAGE_ME : 'SKYNET_PAGE_ME', //我的页面

    //SDK1.2新增
    SKYNET_PAGE_ME_ACTIVITY:'SKYNET_PAGE_ME_ACTIVITY',	//最新活动页面
    SKYNET_PAGE_ME_ACTIVITY_FAVORITE: 'SKYNET_PAGE_ME_ACTIVITY_FAVORITE',	 //已围观活动页面
    SKYNET_PAGE_ME_ACTIVITY_DETAIL:'SKYNET_PAGE_ME_ACTIVITY_DETAIL', //活动详情页面
    SKYNET_PAGE_ME_PROMOTECODE:'SKYNET_PAGE_ME_PROMOTECODE',	//兑换码页面
    SKYNET_PAGE_ME_PROMOTECODE_HELP:'SKYNET_PAGE_ME_PROMOTECODE_HELP',	//兑换码帮助页面

    SKYNET_PAGE_ME_FRIENDS : 'SKYNET_PAGE_ME_FRIENDS', //我的好友页面
    SKYNET_PAGE_ME_GAMES : 'SKYNET_PAGE_ME_GAMES', //我玩过的游戏页面
    SKYNET_PAGE_ME_INVITE_FRIENDS : 'SKYNET_PAGE_ME_INVITE_FRIENDS', //邀请好友页面
    SKYNET_PAGE_ME_PAYMENT : 'SKYNET_PAGE_ME_PAYMENT', //充值乐币页面
    SKYNET_PAGE_ME_PAYMENT_HISTORY: "SKYNET_PAGE_ME_PAYMENT_HISTORY",   //交易记录页面
    SKYNET_PAGE_ME_PAYMENT_DETAIL: "SKYNET_PAGE_ME_PAYMENT_DETAIL",	//具体充值页面
    //SKYNET_PAGE_ME_PAYMENT_CHARGE : 'SKYNET_PAGE_ME_PAYMENT_CHARGE', //充值方式列表页面
    SKYNET_PAGE_ME_PAYMENT_CHARGE_OFFLINE: 'SKYNET_PAGE_ME_PAYMENT_CHARGE_OFFLINE', //离线支付列表
    SKYNET_PAGE_ME_SETTINGS : 'SKYNET_PAGE_ME_SETTINGS', //设置页面
    SKYNET_PAGE_ME_SETTINGS_ABOUT : 'SKYNET_PAGE_ME_SETTINGS_ABOUT', //关于我们页面
    //SKYNET_PAGE_ME_SETTINGS_FEEDBACK : 'SKYNET_PAGE_ME_SETTINGS_FEEDBACK', //体验反馈页面
    SKYNET_PAGE_ME_ACCOUNT : 'SKYNET_PAGE_ME_ACCOUNT', //帐号设置页面
    SKYNET_PAGE_GAMES : 'SKYNET_PAGE_GAMES', //游戏列表
    SKYNET_PAGE_PLAYER_HOME : 'SKYNET_PAGE_PLAYER_HOME', //某一用户主页页面
    SKYNET_PAGE_GAME_HOME : 'SKYNET_PAGE_GAME_HOME', //某一游戏主页页面
    SKYNET_PAGE_MALL: 'SKYNET_PAGE_MALL', //乐逗商城页面
    SKYNET_PAGE_MALL_OFFERS:'SKYNET_PAGE_MALL_OFFERS', //免费赚取积分页面
    SKYNET_PAGE_MALL_PURCHASE: 'SKYNET_PAGE_MALL_PURCHASE', //乐逗商城支付渠道列表页面
    SKYNET_PAGE_MALL_PURCHASE_DETAIL : 'SKYNET_PAGE_MALL_PURCHASE_DETAIL' //具体支付页面(如果有)
}

/**
 * 用户行为对应的事件ID
 * @type
 */
DGC.Event.EventId = {
    EVENT_DASHBOARD_TOOLBAR : 'EVENT_DASHBOARD_TOOLBAR', //点击 底部不同的Tab
    EVENT_DASHBOARD_ADBANNER : 'EVENT_DASHBOARD_ADBANNER', //点击 顶部广告位
    EVENT_LEADERBOARD_INDEX : 'EVENT_LEADERBOARD_INDEX', //点击 排行榜索引里面某一个排行榜模式
    EVENT_LEADERBOARD_TYPE : 'EVENT_LEADERBOARD_TYPE', //点击 排行榜分类的Tab
    EVENT_LEADERBOARD_VIEW_PLAYER : 'EVENT_LEADERBOARD_VIEW_PLAYER', //点击 排行榜数据中某一用户
    EVENT_LEADERBOARD_INVITE_FRIENDS : 'EVENT_LEADERBOARD_INVITE_FRIENDS', //点击 排行榜中 邀请好友
    EVENT_GAMES_DOWNLOAD : 'EVENT_GAMES_DOWNLOAD', //点击 游戏列表，立即下载游戏
    EVENT_GAMES_PLAY : 'EVENT_GAMES_PLAY', //点击 游戏列表，开始玩游戏
    EVENT_ME_GAMES : 'EVENT_ME_GAMES', //“我”界面，点击 “我玩过的游戏”
    EVENT_ME_GAMES_VIEW : 'EVENT_ME_GAMES_VIEW', //“我玩过的游戏”界面，点击 某一款游戏
    EVENT_GAME_HOME_LEADERBOARD : 'EVENT_GAME_HOME_LEADERBOARD', //某一款游戏主界面，点击排行榜
    EVENT_GAME_HOME_ACHIEVEMENT : 'EVENT_GAME_HOME_ACHIEVEMENT', //某一款游戏主界面，点击成就
    EVENT_GAME_HOME_PLAY : 'EVENT_GAME_HOME_PLAY', //某一款游戏主界面，点击玩游戏
    EVENT_GAME_HOME_DOWNLOAD : 'EVENT_GAME_HOME_DOWNLOAD', //某一款游戏主界面，点击下载安装游戏
    EVENT_ME_ACHIEVEMENT : 'EVENT_ME_ACHIEVEMENT', //“我”界面，点击中间的 “成就”
    EVENT_ME_LEADERBOARD : 'EVENT_ME_LEADERBOARD', //“我”界面，点击中间的 “排行榜”
    EVENT_ME_CHARGE_COINS : 'EVENT_ME_CHARGE_COINS', //“我”界面，点击上面的 “充值乐币”（新增界面）
    EVENT_ME_ICON_SETTINGS : 'EVENT_ME_ICON_SETTINGS', //“我”界面，点击头像进入 “设定界面”
    EVENT_ME_FRIENDS : 'EVENT_ME_FRIENDS', //“我”界面，点击 “我的好友”
    EVENT_ME_FRIENDS_CATEGORY : 'EVENT_ME_FRIENDS_CATEGORY', //“我的好友”界面，点击 “好友分类”
    EVENT_ME_FRIENDS_INVITE : 'EVENT_ME_FRIENDS_INVITE', //“我的好友”界面，点击 “分享给好友”
    EVENT_ME_FRIENDS_INVITE_ACTION: 'EVENT_ME_FRIENDS_INVITE_ACTION', //“默认分享方式”界面，点击 “发送”／“取消”
    EVENT_INVITE_FRIENDS : 'EVENT_INVITE_FRIENDS', //“选择发送到其他位置”界面，点击具体某一种分享方式
    EVENT_INVITE_FRIENDS_SEARCH : 'EVENT_INVITE_FRIENDS_SEARCH', //“邀请好友-­‐>搜索好友”界面，点击 “搜索按钮”
    EVENT_ME_FRIENDS_VIEW : 'EVENT_ME_FRIENDS_VIEW', //“我的好友”界面，点击 具体某个好友
    EVENT_PLAYER_FRIENDS : 'EVENT_PLAYER_FRIENDS', //“玩家主页”界面，点击 “TA 的好友”
    EVENT_PLAYER_FRIENDS_VIEW : 'EVENT_PLAYER_FRIENDS_VIEW', //“玩家-­‐>TA 的好友页面”界面，点击 具体某个好友
    EVENT_PLAYER_GAMES : 'EVENT_PLAYER_GAMES', //“玩家主页”界面，点击 “TA 玩过的游戏”
    EVENT_PLAYER_GAMES_VIEW : 'EVENT_PLAYER_GAMES_VIEW', //“玩家-­‐>TA 玩过的游戏”界面，点击 具体某个游戏
    EVENT_PLAYER_FOLLOW : 'EVENT_PLAYER_FOLLOW', //“玩家主页”界面，点击 “关注TA” / “取消关注”
    //EVENT_ME_PAYMENT : 'EVENT_ME_PAYMENT', //“我”界面，点击 “我的钱包”
    EVENT_ME_PAYMENT_LIST : 'EVENT_ME_PAYMENT_LIST', //“充值”界面，点击 “查询交易纪录”
    EVENT_ME_PAYMENT_LIST_VIEW : 'EVENT_ME_PAYMENT_LIST_VIEW', //“交易记录”界面，点击具体某条交易记录
    //EVENT_ME_PAYMENT_CHARGE : 'EVENT_ME_PAYMENT_CHARGE', //“我的钱包”界面，点击 “充值乐币”
    EVENT_ME_PAYMENT_CHARGE_ACTION : 'EVENT_ME_PAYMENT_CHARGE_ACTION', //“充值乐币”界面，点击 具体的支付方式
    EVENT_ME_PAYMENT_CHARGE_DETAIL_HELP : 'EVENT_ME_PAYMENT_CHARGE_DETAIL_HELP', //“具体某一渠道充值”界面，点击帮助
    EVENT_ME_PAYMENT_CHARGE_DETAIL_CHARGE : 'EVENT_ME_PAYMENT_CHARGE_DETAIL_CHARGE', //“具体某一渠道充值”界面，点击充值
    EVENT_ME_SETTINGS : 'EVENT_ME_SETTINGS', //“我”界面，点击 “设定”
    EVENT_ME_SETTINGS_AVATAR : 'EVENT_ME_SETTINGS_AVATAR', //“设定”界面，点击 “修改头像”
    EVENT_ME_SETTINGS_NICKNAME : 'EVENT_ME_SETTINGS_NICKNAME', //“设定”界面，点击 “修改昵称”
    EVENT_ME_SETTINGS_SWITCH_ACCOUNT : 'EVENT_ME_SETTINGS_SWITCH_ACCOUNT', //：“设定”界面，点击 “切换帐号”
    EVENT_ME_SETTINGS_SWITCH_ACCOUNT_DETAIL : 'EVENT_ME_SETTINGS_SWITCH_ACCOUNT_DETAIL', //“切换帐号”界面，点击不同的帐号登录方式
    EVENT_ME_SETTINGS_CLEAN_ACCOUNT : 'EVENT_ME_SETTINGS_CLEAN_ACCOUNT', //“设定”界面，点击 “清除帐号信息”
    EVENT_ME_SETTINGS_CLEAN_ACCOUNT_ACTION: 'EVENT_ME_SETTINGS_CLEAN_ACCOUNT_ACTION', //“清除界面提示”界面，点击 “设置密码”／“取消”
    EVENT_NEW_USER_UPDATE_USERNAME:'EVENT_NEW_USER_UPDATE_USERNAME', //新用户提示登陆界面，更新用户名
    EVENT_NEW_USER_UPDATE_SEX:'EVENT_NEW_USER_UPDATE_SEX', //新用户提示登陆界面，更新性别
    EVENT_NEW_USER_ACTION: 'EVENT_NEW_USER_ACTION', //新用户提示登陆界面，点击不同的按钮
    EVENT_ME_SETTINGS_BIND_PHONE : 'EVENT_ME_SETTINGS_BIND_PHONE', //“设定”界面，点击 “帐号安全”
    EVENT_ME_SETTINGS_BIND_SINA : 'EVENT_ME_SETTINGS_BIND_SINA', //“设定”界面，点击 “绑定新浪微博”
    EVENT_ME_SETTINGS_UNBIND_SINA: 'EVENT_ME_SETTINGS_UNBIND_SINA', //“设定”界面，点击 “取消绑定新浪微博”
    EVENT_ME_SETTINGS_BIND_RENREN : 'EVENT_ME_SETTINGS_BIND_RENREN', //“设定”界面，点击 “绑定人人帐号”
    EVENT_ME_SETTINGS_UNBIND_RENREN : 'EVENT_ME_SETTINGS_UNBIND_RENREN', //“设定”界面，点击 “取消绑定人人帐号”
    EVENT_ME_SETTINGS_ABOUT_US : 'EVENT_ME_SETTINGS_ABOUT_US', //“设定”界面，点击 “关于与反馈”
    EVENT_ME_SETTINGS_FEEDBACK : 'EVENT_ME_SETTINGS_FEEDBACK', //“关于我们”界面，点击 “反馈”
    EVENT_ME_SETTINGS_ABOUT_US_SHARE: 'EVENT_ME_SETTINGS_ABOUT_US_SHARE', //“关于我们”界面，点击 “分享”
    EVENT_MALL_PURCHASE : 'EVENT_MALL_PURCHASE' , //“乐逗商城”界面，点击 任意道具“购买”,
    EVENT_MALL_EARN_POINTS: 'EVENT_MALL_EARN_POINTS', //“乐逗商城”界面，点击“赚取积分”
    EVENT_MALL_PURCHASE_ALERT_ACTION : 'EVENT_MALL_PURCHASE_ALERT_ACTION', //“乐逗商城”提示购买确认框界面，点击”购买”/”取消”
    EVENT_MALL_PURCHASE_CHANNEL_ACTION : 'EVENT_MALL_PURCHASE_CHANNEL_ACTION', //“支付道具”界面，点击具体某一个支付渠道
    EVENT_MALL_PURCHASE_DETAIL_HELP : 'EVENT_MALL_PURCHASE_DETAIL_HELP',   //“具体某一渠道支付”界面，点击帮助 （如果有该界面）
    EVENT_MALL_PURCHASE_DETAIL_PURCHASE : 'EVENT_MALL_PURCHASE_DETAIL_PURCHASE', //“具体某一渠道支付”界面，点击支付（如果有该界面）
    EVENT_ACTIVITY_VIEW:'EVENT_ACTIVITY_VIEW',//“活动页面”界面，点击查看“具体的活动”
    EVENT_ACTIVITY_ADD_FAVORITE:'EVENT_ACTIVITY_ADD_FAVORITE',//“活动页面”界面，围观“具体的活动”
    EVENT_PROMOTECODE_PROMOTE:'EVENT_PROMOTECODE_PROMOTE',//“兑换码”界面，点击查看“兑换”
}

/**
 * 一些选项的定义
 * @type
 */
DGC.Event.Option = {
    LEADERBOARD_FRIENDS : 'LEADERBOARD_FRIENDS', //好友排行
    LEADERBOARD_NEARBY : 'LEADERBOARD_NEARBY', //区域排行
    LEADERBOARD_GLOBAL : 'LEADERBOARD_GLOBAL', //世界排行
    LEADERBOARD_LOCAL : 'LEADERBOARD_LOCAL', //本机排行
    FRIEND_CATEGORY_FOLLOW : 'FRIEND_CATEGORY_FOLLOW', //我关注的
    FRIEND_CATEGORY_FANS : 'FRIEND_CATEGORY_FANS', //我的粉丝
    SHARE_GAME_CHANNEL_RENREN : 'SHARE_GAME_CHANNEL_RENREN', //邀请好友：人人
    SHARE_GAME_CHANNEL_SINA : 'SHARE_GAME_CHANNEL_SINA', //邀请好友：新浪
    SHARE_GAME_CHANNEL_TECENT : 'SHARE_GAME_CHANNEL_TECENT', //邀请好友：腾讯
    SHARE_GAME_CHANNEL_MESSAGE : 'SHARE_GAME_CHANNEL_MESSAGE', //邀请好友： 短信
    SHARE_GAME_CHANNEL_MAIL : 'SHARE_GAME_CHANNEL_MAIL', // 邀请好友：发email
    FOLLOW : 'FOLLOW', //关注TA
    UNFOLLOW : 'UNFOLLOW', //取消关注
    CHARGE_GFAN : 'CHARGE_GFAN', //机锋支付
    CHARGE_YIBAO_YIDONG : 'CHARGE_YIBAO_YIDONG', //易宝移动卡
    CHARGE_YIBAO_DIANXIN : 'CHARGE_YIBAO_DIANXIN', //易宝电信卡
    CHARGE_YIBAO_LIANTONG : 'CHARGE_YIBAO_LIANTONG', //易宝联通卡
    CHARGE_ALIPAY : 'CHARGE_ALIPAY', //支付宝
    CHARGE_DIANXIN_PHONE: 'CHARGE_DIANXIN_PHONE', //电信短代
    CHARGE_YIDONG_PHONE: 'CHARGE_YIDONG_PHONE', //移动短代
    CHARGE_SHENGPAY : 'CHARGE_SHENGPAY',	//盛付通
    CHARGE_UMPAY : 'CHARGE_UMPAY',          //联动优势
    CHARGE_WIRELESS : 'CHARGE_WIRELESS',     //瓦尔雷斯
    ACCOUNT_SINA : 'ACCOUNT_SINA', //切换帐号：sina
    ACCOUNT_RENREN : 'ACCOUNT_RENREN', //切换帐号：人人
    ACCOUNT_SKYNET : 'ACCOUNT_SKYNET', //切换帐号：乐逗
    //ACCOUNT_NEW_ACC : 'ACCOUNT_NEW_ACC', //切换帐号：使用新帐号
    BUTTON_PURCHASE : 'BUTTON_PURCHASE', //确认按钮
    BUTTON_CANCEL : 'BUTTON_CANCEL', //取消按钮
    BUTTON_FREE_GET: 'BUTTON_FREE_GET', //积分购买
    INVITE_ACTION_SEND: 'INVITE_ACTION_SEND', //分享窗口，点击发送
    INVITE_ACTION_CANCEL: 'INVITE_ACTION_CANCEL', //分享窗口，点击取消
    INVITE_ACTION_OTHERS: 'INVITE_ACTION_OTHERS', //分享窗口，点击其他方式
    ACTION_SET_PASSWORD:'ACTION_SET_PASSWORD', //清除用户，点击设置密码
    ACTION_CANCEL: 'ACTION_CANCEL', //清除用户，点击取消
    ACTION_CLEAN: 'ACTION_CLEAN', //清除用户，点击清理
    SEX_MAN: 'SEX_MAN',  //新用户界面， 性别男
    SEX_WOMAN: 'SEX_WOMAN', //新用户界面，性别女
    ACTION_TYPE_SIGN_IN:'ACTION_TYPE_SIGN_IN', //新用户窗口，进入乐逗空间
    ACTION_TYPE_USING_SKYNET:'ACTION_TYPE_USING_SKYNET', //新用户窗口，已有乐逗账号
    ACTION_TYPE_USING_SINA: 'ACTION_TYPE_USING_SINA', //新用户窗口，新浪登录
    ACTION_TYPE_USING_RENREN: 'ACTION_TYPE_USING_RENREN' //新用户窗口，人人登录
}

/**
 * 事件工具类
 */
DGC.Event.Util = {

    payWayCfg:{
        /*易宝移动，联通，电信*/
        v3: 'CHARGE_YIBAO_YIDONG',
        v4: 'CHARGE_YIBAO_LIANTONG',
        v5: 'CHARGE_YIBAO_DIANXIN',
        /*支付宝*/
        v6: 'CHARGE_ALIPAY',
        /*电信短代*/
        v7: 'CHARGE_DIANXIN_PHONE',
        /*移动短代*/
        v9: 'CHARGE_YIDONG_PHONE',
        /*瓦尔雷斯*/
        v13 : 'CHARGE_WIRELESS',
        /*机锋*/
        v20: 'CHARGE_GFAN',
        //盛付通
        v21: 'CHARGE_SHENGPAY'
        //联动优势
        //v22: "CHARGE_UMPAY"
    },

    /**
     *  获得充值/支付方式EVENT
     *  @param type {Number} 支付方式枚举
     */
    getPayEvent : function(type){
        return DGC.Event.Option[this.payWayCfg['v' + type]];
    }

}