/**
 * 支付业务模块
 */
DGC.Module.Payment = $.inherits(DGC.Module, {

    baseId : 'payment-tab',

    deafultView: 'LeDouShop',


    onInitialize: function(){
        var me = this;
        this.autoRegsiterEvents(DGC.Module.Payment.EventProxy);

    }

});

DGC.Module.Payment.EventProxy = {
    "pay" : {
        //该模块下某个请求超时
        "timeout":[{
            viewName: "LeDouShop",
            fnName:"returnToGameAction"
        },{
            viewName: "DeveloperPay",
            fnName: "returnToGameAction"
        }],
        "playercoins":[{
            viewName: "ChargeAccount",
            fnName: "renderPlayerCoins"
        },{
            viewName: "ChargeResult",
            fnName: "renderChargeResult"
        },{
            viewName: "LeDouShop",
            fnName: "cachePlayerCoins"
        },{
            viewName: "DeveloperPay",
            fnName: "cachePlayerCoins"
        },{
            viewName: "MyDetail",
            fnName: "showPlayerCoins"
        }],
        "chargehistory":{
            viewName: "ChargeHistory",
            fnName: "renderChargeList"
        },
        "chargelist":{
            viewName: "ChargeAccount",
            fnName:"renderChargeList"
        },
        "chargeresult":{
            viewName: "ChargeCommit",
            fnName: "feedChargeResult"
        },
        "chargegfan": {
            viewName: "ChargeCommit",
            fnName: "redirectChargeResult"
        },
        "payproduct":{
            viewName: "DeveloperPay",
            fnName: "recordPrudctInfo"
        },
        "shopitems":{
            viewName: "LeDouShop",
            fnName: "itemsReady"
        },
        "ledoupay":[{
            viewName: "LeDouShop",
            fnName: "showLedouPayResult"
        },{
            viewName: "DeveloperPay",
            fnName: "showLedouPayResult"
        }],
        "feedpay":[{
            viewName: "PayCommit",
            fnName: "payByYiBaoResult"
        },{
            viewName: "ChargeAccount",
            fnName: "payByAliResult"
        }],
        "localpay":[{
            viewName: "ChargeAccount",
            fnName: "payByLocalResult"
        },{
            viewName: "OfflineCharge",
            fnName: "payByLocalResult"
        }],
        "ledoucountselect":{
            viewName: "LeDouShop",
            fnName: "itemCountSelected"
        },
        "paymentdetail":[{
            viewName: "LeDouShop",
            fnName: "cachePaymentDetail"
        },{
            viewName: "DeveloperPay",
            fnName: "cachePaymentDetail"
        }],
        "integralpay":[{
            viewName: "LeDouShop",
            fnName: "showIntegralPayResult"
        },{
            viewName: "DeveloperPay",
            fnName: "showIntegralPayResult"
        }]
    }
}
