/**
 * 切换账号-乐逗登录
 */
DGC.View.LeDouLogin =  $.inherits(DGC.View, {

    baseId: 'ledou-login-view',

    title: 'A_TITLE_LEDOU_LOGIN',

    renderTpl:'1.2.0/js/template/ledoulogin.html',

    /**
     * 视图初始化函数
     */
    viewReady: function(){
        var loginBtn = $("#ld-login");
        loginBtn.bind(DGC.Common.E_TAP_DOWN,function(){
            $(this).addClass('active')
        });
        loginBtn.bind(DGC.Common.E_TAP_UP,function(){
            $(this).removeClass('active')
        });
        $("#ledou-logo-submit").bind("submit",{context:this},this.loginToNewAccount);
    },

    loginToNewAccount: function(event){
        var context = event.data.context,
            userName = $("#ledou-login input[name='username']").val(),
            password = $("#ledou-login input[name='password']").val(),
            DAU = DGC.ActionUtil;

        //用户名不能为空
        if($.isEmpty(userName)){
            DAU.showTipMsg(resName.TIP_ACCOUNT_NOT_NULL);
            return false;
        }

        //密码不能为空
        if($.isEmpty(password)){
            DAU.showTipMsg(resName.TIP_PASSWORD_NOT_NULL);
            return false;
        }

        //请求切换账户
        context.action.model['me'].switchLeDouAccount(userName, password);

        return false;
    }

});
