/**
 * 修改昵称视图
 */
DGC.View.ModifyName =  $.inherits(DGC.View, {

    baseId: 'modifyname-view',

    title: 'A_TITLE_MODIFYNAME',

    renderTpl:'1.2.0/js/template/modifyname.html',

    /**
     * 视图初始化函数
     */
    viewReady: function(){
        $("#mn-user-name").val(window.sdk.player.nickname);
        this.bindBtns();
    },


    bindBtns : function(){
        var btns = this.el.find('.btn');
        //样式切换
        btns.bind(DGC.Common.E_TAP_DOWN,function(e){
            $(this).addClass('active');
        });

        btns.bind(DGC.Common.E_TAP_UP,function(e){
            $(this).removeClass('active');
        });

        $("#modifyname-view-submit").bind('submit', {context: this}, this.saveNewNickname);

        $("#mn-cancel-btn").bind('tap',function(){
            DGC.Application.goBack();
        });
    },

    /**
     * 保存新昵称信息
     */
    saveNewNickname: function(event){
        var context = event.data.context,
            newName = $("#mn-user-name").val();

        //昵称非空
        if($.isEmpty(newName)){
            DGC.ActionUtil.showTipMsg(resName.TIP_MODIFYNAME_NOT_NULL);
            return false;
        }

        context.action.model['me'].upatePlayerNickName(newName);
        return false;
    }

});
