/**
 * 弹出框
 * 人人网登录
 */
DGC.Dialog.RenRenLoginDialog =  $.inherits(DGC.Dialog, {

    baseId: 'lightbox-renren',

    renderTpl:'1.2.0/js/template/renrenlogindialog.html',

    /**
     * 是否为重新请求过期时间
     */
    relogin: false,

    /**
     * 绑定成功回调
     */
    bindSuccess: $.emtpyFn,

    /**
     * 重验证成功回调
     */
    reloginSuccess: $.emptyFn,


    viewReady:function(){

        //提示信息
        if(this.relogin){
            $(".dialog-msg").html(resName.TEXT_SNS_LOGIN_TIMEOUT);
        }

        /*登录按钮*/
        $("#ren-login-dialog").bind('submit',{context:this},function(event){
            var context = event.data.context;
            var username = $("#username").val();
            var password = $("#password").val();

            //帐号不为空
            if($.isEmpty(username)){
                DGC.ActionUtil.showTipMsg(resName.TEXT_RENREN_DIALOG_USERNAME_D);
                return false;
            }

            //密码不为空
            if($.isEmpty(password)){
                DGC.ActionUtil.showTipMsg(resName.TEXT_RENREN_DIALOG_PASSWORD_D);
                return false;
            }

            //提交给feed处理
            context.meModel.updateBindSNS(DH.ATTR.BIND_SNS.RENREN ,
                username, password, context.relogin);
            return false;
        });

        /*以后再说*/
        $("#btncx").bind('tap',{context:this},function(event){
            var context = event.data.context;
            context.destory();
        });

    },

    /**
     * 人人绑定成功
     */
    loginSuccess: function(snsObj){
        var context = this,
            ATTR = DH.ATTR;
        if(this.relogin){
            DGC.ActionUtil.showTipMsg(resName.TIP_AUTHORIZE_SUCCESS, function(){
                context.reloginSuccess.call(this);
                context.destory();
            });
        }else{
            context.meModel.snsSycPlayer(ATTR.SYNC_SNS.RENREN, ATTR.SYNC_TYPE.ALL);
        }
    },

    /**
     * 导入同步通知Player
     */
    sycPlayerSuccess: function(result){
        var DAU = DGC.ActionUtil,
            context = this;
        if(result){
            DAU.showTipMsg(resName.TIP_BIND_SUCCESS, function(){
                context.bindSuccess.call(this);
                context.destory();
            });
        }else{
            DGC.ActionUtil.showTipMsg(resName.TIP_SYNCHRONIZED_FAIL, function(){
                context.bindSuccess.call(this);
                context.destory();
            });
        }
    }

});