/**
 * 切换用户账户
 */
DGC.View.SwitchUser =  $.inherits(DGC.View, {

    baseId: 'switch-user-view',

    title: 'A_TITLE_SWITCH_USER',

    renderTpl:'1.2.0/js/template/switchuser.html',

    /**
     * 视图初始化函数
     */
    viewReady: function(){
        $("#account-login .list-item")
            .bind(DGC.Common.E_TAP_DOWN, DGC.Common.listTapDownHandler)
            .bind(DGC.Common.E_TAP_UP,DGC.Common.listTapEndHandler);

        //Sina weibo登录
        $("#su-sina-login").bind('tap', {context:this}, function(event){
            //记录点：“切换帐号”界面，点击不同的帐号登录方式 -SINA
            DGC.ActionUtil.recordUserAction(DGC.Event.EventId.EVENT_ME_SETTINGS_SWITCH_ACCOUNT_DETAIL,{
                'user_id': window.sdk.player.id,
                'account_type':DGC.Event.Option.ACCOUNT_SINA
            });

            var context = event.data.context;
            context.action.setView('SinaLogin');
        });

        //人人网登录
        $("#su-renren-login").bind('tap',{context:this}, function(event){
            //记录点：“切换帐号”界面，点击不同的帐号登录方式 -人人
            DGC.ActionUtil.recordUserAction(DGC.Event.EventId.EVENT_ME_SETTINGS_SWITCH_ACCOUNT_DETAIL,{
                'user_id': window.sdk.player.id,
                'account_type':DGC.Event.Option.ACCOUNT_RENREN
            });

            var context = event.data.context;
            context.action.setView('RenrenLogin');
        });

        //乐逗 登录
        $("#su-ledou-login").bind('tap',{context:this}, function(event){
            //记录点：“切换帐号”界面，点击不同的帐号登录方式 - 乐逗
            DGC.ActionUtil.recordUserAction(DGC.Event.EventId.EVENT_ME_SETTINGS_SWITCH_ACCOUNT_DETAIL,{
                'user_id': window.sdk.player.id,
                'account_type':DGC.Event.Option.ACCOUNT_SKYNET
            });
            var context = event.data.context;
            context.action.setView('LeDouLogin');
        });

        //使用新账号登录
        $("#renew-login").bind('tap', { context:this }, function(event){
            ////记录点：“切换帐号”界面，点击不同的帐号登录方式 - 新账号
            DGC.ActionUtil.recordUserAction(DGC.Event.EventId.EVENT_ME_SETTINGS_SWITCH_ACCOUNT_DETAIL,{
                'user_id': window.sdk.player.id,
                'account_type':DGC.Event.Option.ACCOUNT_NEW_ACC
            });

            //切换新账号
            var context = event.data.context;
            DGC.Common.confirm(
                resName.TITLE_SWITCH_USER_NEW ,
                resName.TEXT_SWITCH_USER_NEW_LEDOU,
                function(result){
                    if(result){
                        context.action.model['me'].updateCreateAccount();
                    }
            });
        });
    }

});
